import { Subject } from 'rxjs';
import * as i0 from "@angular/core";
export declare abstract class FragmentMonitor {
    fragments: number;
    viewInit$: Subject<any>;
    isViewInitialized: boolean;
    isPageComponent: boolean;
    fragmentsLoaded$: Subject<unknown>;
    constructor();
    init(): void;
    registerFragment(): void;
    resolveFragment(): void;
    isReady(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FragmentMonitor, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<FragmentMonitor, never, never, {}, {}, never, never, false, never>;
}
